Bug 735215 - prefdm should hide ply screen if no dm is installed
Summary: prefdm should hide ply screen if no dm is installed
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: initscripts
Version: 16
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-01 20:06 UTC by Lennart Poettering
Modified: 2014-03-17 03:28 UTC (History)
5 users (show)

Fixed In Version: initscripts-9.32-1.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-11 01:44:31 UTC


Attachments (Terms of Use)

Description Lennart Poettering 2011-09-01 20:06:22 UTC
Right now if /etc/X11/prefdm is run but no dm installed (maybe because a user booted into graphical.target but didn't install any dm) it will exit with exit code 127 but leave the plymouth screen on, which is very confusing, since the user might think the machine is stuck.

If prefdm can't find a dm it probably should just call "plymouth quit" and exit.

Comment 1 Bill Nottingham 2011-09-01 20:46:22 UTC
http://git.fedorahosted.org/git/?p=initscripts.git;a=commitdiff;h=4bf4bb047cd0e15852108bcc26d249531936f5b6

Added in master, will be in F-16 at some point.

Comment 2 Lennart Poettering 2011-09-02 00:15:11 UTC
Hmm, I don't think this patch will be enough. Note that the exit code if no dm is around is 127, not 1. It seems as if the script exits at some earlier place if no dm is around. I am really not sure though which one that would be...

Comment 3 Bill Nottingham 2011-09-02 16:05:38 UTC
It shouldn't... that's the point of the 'shopt -s execfail' eariler in the script.

Comment 4 Fedora Update System 2011-09-02 20:11:00 UTC
initscripts-9.32-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/initscripts-9.32-1.fc16

Comment 5 Fedora Update System 2011-09-06 18:07:55 UTC
Package initscripts-9.32-1.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing initscripts-9.32-1.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/initscripts-9.32-1.fc16
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2011-09-11 01:44:04 UTC
initscripts-9.32-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.